import time
from pinpong.board import Board, Pin, Servo
from unihiker import GUI

Board().begin()  
gui=GUI()

mid = 80
angle = mid

s1 = Servo(Pin(Pin.D0)) 
s1.write_angle(mid) 
time.sleep(0.5)

p_1 = Pin(Pin.P1, Pin.OUT) 
p_2 = Pin(Pin.P2, Pin.OUT) 
p_1.value(1)
p_2.value(0)

pwm3 = Pin(Pin.P9, Pin.PWM) 

def on_up_click():
    p_1.value(1)
    p_2.value(0)
    pwm3.write_analog(3000)

def on_down_click():
    p_1.value(0)
    p_2.value(1)
    pwm3.write_analog(3000)

def on_stop_click():
    p_1.value(0)
    p_2.value(0)
    pwm3.write_analog(0)

def on_left_click():
    global angle, s1
    angle = max(angle - 5, 30)  # 减少角度，但不低于30度
    s1.write_angle(angle)
    print("角度减少到:", angle)

def on_right_click():
    global angle, s1
    angle = min(angle + 5, 140)  # 增加角度，但不超过140度
    s1.write_angle(angle)
    print("角度增加到:", angle)

gui.on_key_click('d', on_left_click)
gui.on_key_click('a', on_right_click)
gui.on_key_click('w', on_up_click)
gui.on_key_click('s', on_down_click)
gui.on_key_click('x', on_stop_click)

while True:
    time.sleep(0.01)
